Bug 24705 - Holds placed via SIP will be given first priority
Summary: Holds placed via SIP will be given first priority
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-21 14:39 UTC by Kyle M Hall
Modified: 2020-04-15 18:41 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05


Attachments
Bug 24705: Holds placed via SIP will be given first priority (1.16 KB, patch)
2020-02-21 14:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24705: Holds placed via SIP will be given first priority (1.23 KB, patch)
2020-02-21 19:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24705: Add tests (2.92 KB, patch)
2020-02-24 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24705: Holds placed via SIP will be given first priority (1.28 KB, patch)
2020-02-24 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24705: Fix tests for 19.11.x (1.18 KB, patch)
2020-04-07 13:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-02-21 14:39:22 UTC
The SIP server does not calculate and pass a priority to AddReserve, which causes the hold to be given priority 1.
Comment 1 Kyle M Hall 2020-02-21 14:45:03 UTC
Created attachment 99386 [details] [review]
Bug 24705: Holds placed via SIP will be given first priority

The SIP server does not calculate and pass a priority to AddReserve, which causes the hold to be given priority 1.

Test Plan:
1) Place a hold via SIP for a record with existing holds
2) Note the new hold is top priority
3) Apply this patch
4) Restart SIP
5) Repeat step 1
6) New hold should be last priority
Comment 2 Christofer Zorn 2020-02-21 15:19:54 UTC
Thank you Kyle!
Comment 3 Kyle M Hall 2020-02-21 19:15:29 UTC
Created attachment 99427 [details] [review]
Bug 24705: Holds placed via SIP will be given first priority

The SIP server does not calculate and pass a priority to AddReserve, which causes the hold to be given priority 1.

Test Plan:
1) Place a hold via SIP for a record with existing holds
2) Note the new hold is top priority
3) Apply this patch
4) Restart SIP
5) Repeat step 1
6) New hold should be last priority

Signed-off-by: Christofer Zorn <Christofer.Zorn@ajaxlibrary.ca>
Comment 4 Jonathan Druart 2020-02-24 09:43:44 UTC
Created attachment 99483 [details] [review]
Bug 24705: Add tests

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2020-02-24 09:43:47 UTC
Created attachment 99484 [details] [review]
Bug 24705: Holds placed via SIP will be given first priority

The SIP server does not calculate and pass a priority to AddReserve, which causes the hold to be given priority 1.

Test Plan:
1) Place a hold via SIP for a record with existing holds
2) Note the new hold is top priority
3) Apply this patch
4) Restart SIP
5) Repeat step 1
6) New hold should be last priority

Signed-off-by: Christofer Zorn <Christofer.Zorn@ajaxlibrary.ca>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Martin Renvoize 2020-02-24 09:58:41 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Kyle M Hall 2020-02-25 11:25:19 UTC
Thanks for the tests Jonathan!
Comment 8 Joy Nelson 2020-03-30 21:40:38 UTC
Does not apply to 19.11.x branch.  Please rebase!
Comment 9 Joy Nelson 2020-04-01 19:03:24 UTC
Rebased and pushed to 19.11.x branch for 19.11.05
Comment 10 Jonathan Druart 2020-04-07 13:39:39 UTC
Created attachment 102520 [details] [review]
Bug 24705: Fix tests for 19.11.x
Comment 11 Lucas Gass 2020-04-08 21:25:23 UTC
test do not clean apply in 19.05.x, tried the rebased test for 19.11, also don't work. No backport
Comment 12 Joy Nelson 2020-04-15 18:41:58 UTC
test for 19.11 tests pushed to 19.11.x